<div [formGroup]="form">
  <div *ngIf="option.isEscalation?.isShown" class="form-row" [ngClass]="{ 'mb-0': !getFormControlValue('isEscalation') ? true : false }">
    <div class="form-group form-group-sm row col-24">
      <div class="col-24 col-lg-20 pl-0 pl-lg-1 offset-lg-3">
        <dx-check-box formControlName="isEscalation" class="bold"
                      text="Escalation"
                      (onValueChanged)="onIsEscalationChanged($event)">
        </dx-check-box>
      </div>
    </div>
  </div>
  <div *ngIf="getFormControlValue('isEscalation')">
    <div *ngIf="option.escalationReason?.isShown || option.escalationPolicy?.isShown" class="form-row">
      <div *ngIf="option.escalationReason?.isShown" class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-6" [ngClass]="{ 'text-danger' : isRequired('escalationReason') }">Escalation Reason: </label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-1">
          <dx-select-box [items]="escalationReasonList"
                         displayExpr="esclReasDes" valueExpr="esclReasId"
                         [searchEnabled]="true" [searchExpr]="['esclReasDes']" searchMode="startswith"
                         formControlName="escalationReason"></dx-select-box>
          <div *ngIf="escalationReason.invalid && (escalationReason.dirty || escalationReason.touched || isSubmitted)">
            <ng-container *ngFor="let validator of option.escalationReason?.validators">
              <span *ngIf="escalationReason.errors[validator.name]" class="form-text text-danger">
                {{ validator.message }}
              </span>
            </ng-container>
          </div>
        </div>
      </div>
      <div *ngIf="option.escalationPolicy?.isShown" class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-6">Escalation Policy: </label>
        <div class="col-24 col-lg-14 pl-0 pl-lg-1">
          <input type="text" class="form-control" formControlName="escalationPolicy" readonly="readonly" />
        </div>
        <div class="col-24 col-lg-1 pl-0 pl-lg-1">
          <button type="button" class="btn btn-sm btn-primary" (click)="openEscalationPolicy()">Go</button>
        </div>
      </div>
    </div>
    <div *ngIf="option.primaryRequestDate?.isShown || option.secondaryRequestDate?.isShown" class="form-row">
      <div *ngIf="option.primaryRequestDate?.isShown" class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-6" [ngClass]="{ 'text-danger' : isRequired('primaryRequestDate') }">Primary Request Date:</label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-1">
          <dx-date-box type="datetime"
                       [acceptCustomValue]="false"
                       displayFormat="MM/dd/yyyy hh:mm aa"
                       width="100%"
                       [useMaskBehavior]="true"
                       formControlName="primaryRequestDate"
                       (onValueChanged)="onPrimaryRequestDate($event)">
          </dx-date-box>
          <div *ngIf="primaryRequestDate.invalid && (primaryRequestDate.dirty || primaryRequestDate.touched || isSubmitted)">
            <ng-container *ngFor="let validator of option.primaryRequestDate?.validators">
              <span *ngIf="primaryRequestDate.errors[validator.name]" class="form-text text-danger">
                {{ validator.message }}
              </span>
            </ng-container>
          </div>
          <div *ngIf="secondaryRequestDate.invalid">
            <span *ngIf="secondaryRequestDate.errors.notPastOneHour" class="form-text text-danger">Escalation Primary DateTime should be at least one hour ahead of Secondary</span>
          </div>
        </div>
      </div>
      <div *ngIf="option.secondaryRequestDate?.isShown" class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-6" [ngClass]="{ 'text-danger' : isRequired('secondaryRequestDate') }">Secondary Request Date: </label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-1">
          <dx-date-box type="datetime"
                       [acceptCustomValue]="false"
                       displayFormat="MM/dd/yyyy hh:mm aa"
                       width="100%"
                       [useMaskBehavior]="true"
                       formControlName="secondaryRequestDate">
          </dx-date-box>
          <div *ngIf="secondaryRequestDate.invalid && (secondaryRequestDate.dirty || secondaryRequestDate.touched || isSubmitted)">
            <ng-container *ngFor="let validator of option.secondaryRequestDate?.validators">
              <span *ngIf="secondaryRequestDate.errors[validator.name]" class="form-text text-danger">
                {{ validator.message }}
              </span>
            </ng-container>
          </div>
        </div>
      </div>
    </div>
    <div *ngIf="option.escalationBusinessJustification?.isShown" class="form-row">
      <div class="form-group form-group-sm row col-24">
        <label class="col-form-label col-24 col-lg-3" [ngClass]="{ 'text-danger' : isRequired('escalationBusinessJustification') }">Business Justification <br/> is required:</label>
        <div class="col-24 col-lg-20 pl-0 pl-lg-1">
          <textarea class="form-control" formControlName="escalationBusinessJustification" rows="5" maxlength="1000"
                    (keyup)="onEscalationBusJustificationChange($event)"></textarea>
          <small class="form-text text-muted">{{ escalationBusinessJustification.value?.length > 1000 ? 0 : (1000 - escalationBusinessJustification.value?.length) | number }} remaining character/s</small>
          <!--<p>{{ 1000 - escalationBusJustificationLength }} characters left</p>-->
          <div *ngIf="escalationBusinessJustification.invalid && (escalationBusinessJustification.dirty || escalationBusinessJustification.touched || isSubmitted)">
            <ng-container *ngFor="let validator of option.escalationBusinessJustification?.validators">
              <span *ngIf="escalationBusinessJustification.errors[validator.name]" class="form-text text-danger">
                {{ validator.message }}
              </span>
            </ng-container>
          </div>
          <div class="blue-text">
            <br/>
            <span> This information is used to create an <u>automated</u> Escalation email that will be sent to the MDS Reviewer with the following two exceptions:</span>
            <br><br/>
            <span> 1. Generic H1 (999999999) events do not have an MDS Reviewer automatically assigned. <b class="text-danger">The CSM/IM must place the assigned account MNS NIM in the Contact List on the event.</b></span>
            <br/>
            <span> 2. Escalation emails are generated through COWS, not Outlook. There is <u class="text-danger"><b>no out of office functionality</b></u> available.
            </span>
            <br/><br/>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div *ngIf="option.useConfBridge?.isShown" class="form-row">
    <div class="form-group form-group-sm row col-24 col-lg-12">
      <label class="col-form-label col-24 col-lg-6 text-danger">
        Will a Conference Bridge be used for this event?
      </label>
      <div class="col-24 col-lg-16 pl-0 pl-lg-1">
        <dx-select-box [items]="useConfBridgeList" formControlName="useConfBridge"
                       displayExpr="description" valueExpr="value"
                       [searchEnabled]="true" [searchExpr]="['description']" searchMode="startswith"
                       (onValueChanged)="onConfBridgeChanged($event)"></dx-select-box>
      </div>
    </div>
  </div>

  <div *ngIf="getFormControlValue('useConfBridge') == 2 || getFormControlValue('useConfBridge') == 3">
    <div class="form-row">
      <div class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-6">Bridge Number: </label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-1">
          <input type="text" class="form-control" formControlName="bridgeNumber" />
        </div>
      </div>
      <div class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-6">Pin: </label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-1">
          <input type="text" class="form-control" formControlName="bridgePin" />
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group form-group-sm row col-24">
        <label class="col-form-label col-24 col-lg-3">Meeting URL: </label>
        <div class="col-24 col-lg-20 pl-0 pl-lg-1">
          <a href="{{ bridgeUrl }}" target="_blank" rel="noopener">{{ bridgeUrl }}</a>
        </div>
      </div>
    </div>
  </div>
</div>
